Subject: Re: 2 Machine Rendering
From: Peter Bowmar <[email-masked]>
To: [email-masked]
Date: Tue, 22 Aug 1995 15:27:04 +0800 (SST)

On Mon, 21 Aug 1995, John Gross wrote:

> 
> On Mon, 21 Aug 1995, Sean Moyer wrote:
> > >By the way, for better results, do not render frames 1-100 on the first
> > >computer and frames 101-200 on the second. What works better is to tell
> > >computer #1 to do frames 1-199, frame step = 2, so it does all the odd
> > >frames, and tell computer #2 to do frames 2-200, frame step = 2, so it does
> > >all the even frames. That way, the two computers stay fairly neck-and-neck
> > >as far as the rendering go.
> > 
> > Actually - the best way to render on 2 machines (IMHO) is as follows:
> > (Assume a 200 frame Render)
> > 
> > Machine 1:  Frame 1 to 200 step 1
> > Machine 2:  Frame 200 to 1 step -1
> > 
> I disagree. I've found that it's better to split up the rendering as you 
> described above amongst the available machines. If you have 1000 frames 
> to render on 6 machines, set it up so you do:
> 
> 1-1000, Frame Step 6
> 2-1000, Frame Step 6
> 3-1000, Frame Step 6
> etc.
> 
> This way if you have to stop machines, it is easier to start re-rendering 
> as all the frames to render will be at the end and you won't have to 
> search and patch.
> 
> JG

I have 3 Pentiums, all the same CPU and this works fine. However, we're 
getting 6 SGI versions as well (if and when...) along with the 3 
Pentiums. THe SGIs have varying CPU speeds and available memory, so will 
all render at different speeds, and of course all will be faster than the 
Pentiums. My question is this: will LW 4.0 (release) have the facility to 
render into the same directory (or not, doesn't matter) but read a status 
file about what machine is currently working on what frame? 

THis way, each machine always knows what the other is working on, and 
once finished a frame can then skip over all the ones the other machines 
are working on. So if one machine is fast and others are slower, it's 
giving maximum effeciency. As long as it's an ASCII text file, and all 
the machines can read from the same directory, then cross-platform 
renders are possible.

Softimage does this by just scanning the directory for existing frames 
and skipping them, but it writes the pic files scanline by scanline, 
which of course LW doesn't.

If this is not the system implemented, what will be, for distributed 
rendering? Loading 9 scene files and telling them to skip and trying to 
guess which machine will be done first so I can give it more frames to do 
is going to be a real drag......

Thanks,

Peter

--
Peter Bowmar <[email-masked]> sent this message.
To Post a Message           : [email-masked]
Un/Subscription Requests To : [email-masked]
(DIGEST)                 or : [email-masked]
Administrative Items To     : [email-masked]